summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichał Górny <mgorny@gentoo.org>2013-07-27 10:18:13 +0000
committerMichał Górny <mgorny@gentoo.org>2013-07-27 10:18:13 +0000
commit4ca59d781eee31efa8246b13101db64b98b1fe18 (patch)
treeba65bbac830dfbd4e7c7130c7db0c660e1e58cca /eclass/subversion.eclass
parentold (diff)
downloadgentoo-2-4ca59d781eee31efa8246b13101db64b98b1fe18.tar.gz
gentoo-2-4ca59d781eee31efa8246b13101db64b98b1fe18.tar.bz2
gentoo-2-4ca59d781eee31efa8246b13101db64b98b1fe18.zip
Export working copy information after the update rather than in pkg_preinst(). This makes it possible for ebuild to reference e.g. ESVN_WC_REVISION properly. Bug #282486.
Diffstat (limited to 'eclass/subversion.eclass')
-rw-r--r--eclass/subversion.eclass6
1 files changed, 4 insertions, 2 deletions
diff --git a/eclass/subversion.eclass b/eclass/subversion.eclass
index 43d7ce1c0b7a..436045b62184 100644
--- a/eclass/subversion.eclass
+++ b/eclass/subversion.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/subversion.eclass,v 1.84 2013/04/28 16:15:33 zmedico Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/subversion.eclass,v 1.85 2013/07/27 10:18:13 mgorny Exp $
# @ECLASS: subversion.eclass
# @MAINTAINER:
@@ -324,6 +324,9 @@ subversion_fetch() {
${ESVN_UPDATE_CMD} ${options} || die "${ESVN}: can't update ${wc_path} from ${repo_uri}."
fi
fi
+
+ # export updated information for the working copy
+ subversion_wc_info "${repo_uri}" || die "${ESVN}: unknown problem occurred while accessing working copy."
fi
fi
@@ -441,7 +444,6 @@ subversion_src_prepare() {
# config protection.
subversion_pkg_preinst() {
local pkgdate=$(date "+%Y%m%d %H:%M:%S")
- subversion_wc_info "${1}"
if [[ -n ${ESCM_LOGDIR} ]]; then
local dir="${ROOT}/${ESCM_LOGDIR}/${CATEGORY}"
if [[ ! -d ${dir} ]]; then